#! /bin/bash

Configuration()
{
    Banner()
    {
        clear
        printf "\E[1;30m======================================================================== \E[1;0m \n"
        printf "\E[1;30m[ \E[1;36m███████╗██████╗     ███████╗██╗  ██╗ █████╗ ██████╗ ███████╗██████╗  \E[1;30m] \n"
        printf "\E[1;30m[ \E[1;36m██╔════╝██╔══██╗    ██╔════╝██║  ██║██╔══██╗██╔══██╗██╔════╝██╔══██╗ \E[1;30m] \n"
        printf "\E[1;30m[ \E[1;36m█████╗  ██████╔╝    ███████╗███████║███████║██████╔╝█████╗  ██████╔╝ \E[1;30m] \n"
        printf "\E[1;30m[ \E[1;36m██╔══╝  ██╔══██╗    ╚════██║██╔══██║██╔══██║██╔══██╗██╔══╝  ██╔══██╗ \E[1;30m] \n"
        printf "\E[1;30m[ \E[1;36m██║     ██████╔╝    ███████║██║  ██║██║  ██║██║  ██║███████╗██║  ██║ \E[1;30m] \n"
        printf "\E[1;30m[ \E[1;36m╚═╝     ╚═════╝     ╚══════╝╚═╝  ╚═╝╚═╝  ╚═╝╚═╝  ╚═╝╚══════╝╚═╝  ╚═╝ \E[1;30m] \n"
        printf "\E[1;30m======================================================================== \E[1;0m \n"
    }
    Banner
}
Configuration


Main_App()
{
    FG_Gen_Sharer_Link()
    {
        FB_SHARER="https://facebook.com/sharer/sharer.php?u="
                
        read -p "$(printf "\E[1;30m[ \E[1;32mLien à Partager sur Facebook \E[1;30m] : \E[1;0m")" CUSTOM_LINK

        xdg-open ${FB_SHARER}${CUSTOM_LINK}
    }
    FG_Gen_Sharer_Link
}
Main_App